Summary:	Digium Asterisk OPUS codec
Name:		asterisk-codec-opus
Version:	1.3.0
Release:	2%{?dist}
License:	Digium License
Group:		Applications/Internet
Source0:	http://downloads.digium.com/pub/telephony/codec_opus/asterisk-16.0/x86-32/codec_opus-16.0_%{version}-x86_32.tar.gz
Source1:	http://downloads.digium.com/pub/telephony/codec_opus/asterisk-16.0/x86-64/codec_opus-16.0_%{version}-x86_64.tar.gz
URL:		http://www.digium.com/blog/2016/09/30/opus-in-asterisk/
BuildRequires:	tar >= 1:1.15.1
ExclusiveArch:	i386 x86_64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	asterisk >= 16.0.0, asterisk < 17.0.0
Requires:	opus


%description
Digium Asterisk OPUS codec with transcode support.


%prep
%setup -T -q -c -n codec_opus-%{version}
%ifarch i386
%{__tar} --strip-components=1 -zxf %{SOURCE0}
%endif
%ifarch x86_64
%{__tar} --strip-components=1 -zxf %{SOURCE1}
%endif


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755 %{buildroot}/%{_libdir}/asterisk/modules
%{__install} -m 755 codec_opus.so %{buildroot}/%{_libdir}/asterisk/modules/
%{__install} -m 755 format_ogg_opus.so %{buildroot}/%{_libdir}/asterisk/modules/
%{__mkdir_p} -m 755 %{buildroot}/%{_datadir}/asterisk/documentation/thirdparty
%{__install} -m 644 codec_opus_config-en_US.xml %{buildroot}/%{_datadir}/asterisk/documentation/thirdparty/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc LICENSE README
%config %{_datadir}/asterisk/documentation/thirdparty/codec_opus_config-en_US.xml
%{_libdir}/asterisk/modules/codec_opus.so
%{_libdir}/asterisk/modules/format_ogg_opus.so


%changelog
* Wed Oct 10 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.3.0-2
- Updated to asterisk 16 support

* Sat Jan 13 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.3.0-1
- First build script
